Bug 149366 - 2 * missing return statement
2 * missing return statement
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: aterm (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 12:34 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 18:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-22 12:34:25 EST
Description of problem:

I just tried to compile package aterm-0.4.2-5 from 
Redhat Fedora Extras development tree.

The compiler said

1.

scrollbar2.c(651): warning #1011: missing return statement at end of
non-void function "scrollbar_show"

The source code is

int
scrollbar_show(int update)
{
    scrollbar_show_cached(update, 0);
}

Suggest add return statement.

2.

pixmap.c(638): warning #1011: missing return statement at end of
non-void function "SetSrcPixmap"

The function is supposed to return a Pixmap.  Not only is there a
missing return statement at the end of the function, but there is no
return statement in any part of the function.

Suggest add return statement.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.